Subject: Re: [PATCH] Add --with-tcltk and --without-tcltk to configure.

From: Tom Prince <[email-masked]>
Date: Thu, 29 Mar 2007 13:12:39 +0400

On Thu, Mar 29, 2007 at 12:58:35PM +0400, Eygene Ryabinkin wrote:
> Ah, you mean that './configure --with-tcltk=wish8.4' should also
> do the trick? It seems to be easy to achieve by just skipping
> the 'test -x' part in the configure.ac. So the semantics of
> '--with-tcltk=PATH' will be:
> "If you're telling me about the path to the interpreter, it is
> you who should take care of it. I do not mind if you will give
> me something unexecutable, unexistent and so on.". Comments?

Definitely, when cross compiling, or generating packages, you often
don't even have the program installed in the right place, so erroring
out is the wrong thing to do in this case.

  Tom